# Qt Lottie PyQt6 Example

Simple, clean example showing qt-lottie with PyQt6.

## Features

- **Basic Animation**: Load and display Lottie animations
- **Playback Controls**: Play, pause, stop buttons
- **Speed Control**: Adjust playback speed (0.1x to 3.0x)
- **Status Display**: Show animation loading status
- **Live Info**: Duration, position, progress display
- **Clean UI**: Simple, functional interface

## Requirements

```bash
pip install PyQt6 qt-lottie
```

## Usage

```bash
cd examples/pyqt6
python main.py
```

## Files

- `main.py` - Simple PyQt6 application
- `main.qml` - Clean QML interface
- `lottie.json` - Sample animation file

This example demonstrates the essential qt-lottie features in a straightforward, easy-to-understand way.