# Qt Lottie PySide6 Example

Simple, clean example showing qt-lottie with PySide6.

## Features

- **Basic Animation**: Load and display Lottie animations
- **Playback Controls**: Play, pause, stop buttons
- **Speed Control**: Adjust playback speed (0.1x to 3.0x)
- **Status Display**: Show animation loading status
- **Live Info**: Duration, position, progress display
- **PySide6 Styling**: Green theme with PySide6 branding

## Requirements

```bash
pip install PySide6 qt-lottie
```

## Usage

```bash
cd examples/pyside6
python main.py
```

## Files

- `main.py` - Simple PySide6 application
- `main.qml` - Clean QML interface with PySide6 styling
- `lottie.json` - Sample animation file

This example demonstrates the essential qt-lottie features in a straightforward, easy-to-understand way.